ReadType (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.azurebfs.constants, enum: ReadType

Package org.apache.hadoop.fs.azurebfs.constants

# Enum Class ReadType

java.lang.Object
java.lang.Enum<ReadType>
org.apache.hadoop.fs.azurebfs.constants.ReadType

All Implemented Interfaces:
  `Serializable`, `Comparable<ReadType>`, `Constable`

public enum ReadType extends Enum<ReadType>
Enumeration for different types of read operations triggered by AbfsInputStream.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DIRECT_READ`
  Synchronous read from the storage service.
  `FOOTER_READ`
  Synchronous read from the storage service for reading the footer of a file.
  `MISSEDCACHE_READ`
  Synchronous read from the storage service when nothing was found in cache.
  `NORMAL_READ`
  Synchronous read from the storage service where optimization were considered but found disabled.
  `PREFETCH_READ`
  Asynchronous read from the storage service for filling up cache.
  `RANDOM_READ`
  Reads from Random Input Stream with read ahead up to readAheadRange
  `SMALLFILE_READ`
  Synchronous read from the storage service for reading a small file fully.
  `UNKNOWN_READ`
  None of the above read types were applicable.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  Get the read type as a string.
  `static ReadType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ReadType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DIRECT_READ

    public static final ReadType DIRECT_READ
    Synchronous read from the storage service. No optimization is being applied.

  - ### NORMAL_READ

    public static final ReadType NORMAL_READ
    Synchronous read from the storage service where optimization were considered but found disabled.

  - ### PREFETCH_READ

    public static final ReadType PREFETCH_READ
    Asynchronous read from the storage service for filling up cache.

  - ### MISSEDCACHE_READ

    public static final ReadType MISSEDCACHE_READ
    Synchronous read from the storage service when nothing was found in cache.

  - ### FOOTER_READ

    public static final ReadType FOOTER_READ
    Synchronous read from the storage service for reading the footer of a file. Only triggered when footer read optimization kicks in.

  - ### SMALLFILE_READ

    public static final ReadType SMALLFILE_READ
    Synchronous read from the storage service for reading a small file fully. Only triggered when small file read optimization kicks in.

  - ### RANDOM_READ

    public static final ReadType RANDOM_READ
    Reads from Random Input Stream with read ahead up to readAheadRange

  - ### UNKNOWN_READ

    public static final ReadType UNKNOWN_READ
    None of the above read types were applicable.

- ## Method Details

  - ### values

    public static ReadType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ReadType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Get the read type as a string.
    Overrides:
      `toString` in class `Enum<ReadType>`
    Returns:
      the read type string